
Name:           quvi
Version:        0.4.2
Release:        1.1
Summary:        Command line tool for parsing flash media stream URLs
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://quvi.sourceforge.net/
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(libcurl) >= 7.18.2
BuildRequires:  pkgconfig(libquvi) >= 0.4.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
quvi is a command line tool for parsing flash media stream URLs.
It supports many websites including YouTube and Dailymotion.

%prep
%setup -q

%build
%configure \
    --disable-static
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/quvi
%{_mandir}/man1/quvi.1%{?ext_man}

%changelog
* Sun Jul  8 2012 dnh@opensuse.org
- update to 0.4.2
* Tue Jan 10 2012 vuntz@opensuse.org
- Update to version 0.4.1:
  + Accept multiple occurences of --exec
  + Add verbosity level 'mute'
  + Add new options: --export-format, --export-level, --verbosity,
  - -category, --feature
  + Deprecate options: --verbose-libcurl, --category-*, --quiet,
  - -no-*, --xml
  + Properly escape strings passed to shell
- Changes from version 0.4.0:
  + Split old code in three modules: quvi, libquvi,
    libquvi-scripts.
  + Make --category-all new default (prev. --category-http)
  + Extend --exec to support %%t, page title
  + Remove deprecated "--format (help|list)"
  + Remove deprecated "--no-shortened"
  + Remove deprecated "--old"
- Completely rework packaging, following the upstream split in
  three modules. This can be considered as a new package.
* Tue Nov 29 2011 ro@suse.de
- add missing include stdio.h to fix build
* Tue Aug  9 2011 dnh@opensuse.org
- fixed soname in .spec (warnings: TODO)
* Sun Aug  7 2011 dnh@opensuse.org
- upstream update to 0.2.19 (YT has changed API once again)
* Tue May 31 2011 nmarques@opensuse.org
- Update to version 0.2.16:
  + Converted spec to use pkgconfig() calls;
  + Rename '-s,--no-shortened' -> '-r,--no-resolve';
  + Add support for reading input from files;
  + Add "Network interface" (quvi_net_*, QUVI_NET_*, quvi/net.h);
  + Add examples/callback_libsoup.c;
  + Make LUA errors more informative (e.g. fname, func, etc.);
  + Add "Linked list interface" (quvi_llst_*, quvi/llst.h);
  + Add quvi_supported_ident (#44);
  + Add quvi_supported_ident_close;
  + Add quvi_ident_getprop;
  + Deprecate remaining symbols that use 'video' and 'link' in
    names;
  + Rename (&depr.) QUVISTATUS_SHORTENED -> QUVISTATUS_RESOLVE;
  + Rename (&depr.) QUVIOPT_NOSHORTENED -> QUVIOPT_NORESOLVE;
  + Deprecate QUVIINFO_HTTPCODE, QUVIPROP_HTTPCODE;
  + Changes: Webscripts
  - Pass _quvi_media_t to quvi object functions in LUA reg.
    index;
  - collegehumor.lua: Add 'best' ('hq') format;
  - LUA: Add resolve function to quvi object;
  - Add bikeradar.lua (#50);
  - Add guardian.lua (#51);
  - Add more NSFW scripts;
  - Add blip.lua (#39);
  + Changes: Build system:
  - Add --with-soup (see INSTALL);
  + Changes: Documentation:
  - INSTALL: Remove list of (obsolete) env. variables;
  - Add doc/WebsiteScriptGuideLines;
  - API: Reorganize "Modules";
  + Bugfixes: Webscripts:
  - collegehumor.lua:51: server response code 404 (#35);
  - vimeo.lua:62: no match: hd button (#48);
  - liveleak.lua:48: no match: config (#47);
* Mon Apr 11 2011 nmarques@opensuse.org
- Update to version 0.2.14:
  + Adds new tests;
  + Many fixes on .lua files;
  + Support for newer sites;
  + Adds ART TV support;
  + Extends HTML entity conversion table;
  + Many other small fixes (ChangeLog file)...
- Spec changes: updated license (LGPLv2.1), fixed %%files, added
  %%{soname} macro for easier maintenance, other minor fixes.
* Wed Apr 28 2010 mvyskocil@suse.cz
- Initial SUSE packaging of quvi 0.1.4
